package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.organisation.UnifiedSupplierCostConfig;
import cn.superdesk.uniorder.dto.param.organisation.UnifiedSupplierQueryCriteria;
import cn.superdesk.uniorder.dto.vo.unified.OrderCostUpdateParam;

import java.util.List;

public interface UnifiedSupplierCostConfigMapperEx {

	List<UnifiedSupplierCostConfig> findAll(UnifiedSupplierQueryCriteria criteria);

	UnifiedSupplierCostConfig findBySaleId(Long saleId);

	int updateOrderCost(OrderCostUpdateParam updateMap);

	int updateOrderGoodsCost(OrderCostUpdateParam updateMap);
}